# Visualization
TKV2d
Prs2d

# Prs2d_Point Class Reference

Constructs presentable and selectable Point.
It's displayed as a definite type Marker from
Aspect_TypeOfMarker
.

`#include <Prs2d_Point.hxx>`

Inheritance diagram for Prs2d_Point:

[legend]

## Public Member Functions

Standard_EXPORT | Prs2d_Point (const Handle(Graphic2d_GraphicObject)&aGO, const gp_Pnt2d &aPnt, const Aspect_TypeOfMarker aTOM, const Quantity_Length aWSize=2.0, const Quantity_Length aHSize=2.0, const Quantity_PlaneAngle anAngle=0.0)
| Initializes the Point defined <apnt> .
Standard_EXPORT void | SetPoint (const gp_Pnt2d &aPnt)
| Modifies the Point by redefining location <apnt> .
Standard_EXPORT void | SetMarker (const Aspect_TypeOfMarker aTOM)
| Modifies the Point by redefining type of marker .
Standard_EXPORT void | SetIndex (const Standard_Integer anInd)
| Sets the map index of the marker .
Standard_EXPORT gp_Pnt2d | Point () const
| Returns the location of the Point .
Standard_EXPORT Aspect_TypeOfMarker | Marker () const
| Returns the type of marker of the Point .
virtual Standard_EXPORT void | Save (Aspect_FStream &aFStream) const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Member Functions

Standard_EXPORT void | Draw (const Handle(Graphic2d_Drawer)&aDrawer)
| Draws the angle <me>. .
virtual Standard_EXPORT void | DrawElement (const Handle(Graphic2d_Drawer)&aDrawer, const Standard_Integer anIndex)
| Draws element <anindex> of the point <me>. .
virtual Standard_EXPORT void | DrawVertex (const Handle(Graphic2d_Drawer)&aDrawer, const Standard_Integer anIndex)
| Draws vertex <anindex> of the point <me>. .
Standard_EXPORT Standard_Boolean | Pick (const Standard_ShortReal X, const Standard_ShortReal Y, const Standard_ShortReal aPrecision, const Handle(Graphic2d_Drawer)&aDrawer)
| Returns Standard_True if the point <me> is picked, Standard_False if not. .

## Private Attributes

gp_Pnt2d | myPoint
Aspect_TypeOfMarker | myTOM
Standard_Integer | myIndMark
Quantity_Length | myWSize
Quantity_Length | myHSize
Quantity_PlaneAngle | myAngle

## Constructor & Destructor Documentation

Standard_EXPORT Prs2d_Point::Prs2d_Point | ( | const Handle(Graphic2d_GraphicObject)& | aGO,
|  | const gp_Pnt2d & | aPnt,
|  | const Aspect_TypeOfMarker | aTOM,
|  | const Quantity_Length | aWSize = `2.0`,
|  | const Quantity_Length | aHSize = `2.0`,
|  | const Quantity_PlaneAngle | anAngle = `0.0`
| ) |

## Member Function Documentation

Standard_EXPORT void Prs2d_Point::Draw | ( | const Handle(Graphic2d_Drawer)& | aDrawer | ) | `[protected, virtual]`

| Implements Graphic2d_Primitive.

virtual Standard_EXPORT void Prs2d_Point::DrawElement | ( | const Handle(Graphic2d_Drawer)& | aDrawer,
|  | const Standard_Integer | anIndex
| ) | `[protected, virtual]`

| Reimplemented from Graphic2d_Primitive.

virtual Standard_EXPORT void Prs2d_Point::DrawVertex | ( | const Handle(Graphic2d_Drawer)& | aDrawer,
|  | const Standard_Integer | anIndex
| ) | `[protected, virtual]`

| Reimplemented from Graphic2d_Primitive.

Standard_EXPORT const Prs2d_Point::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Graphic2d_Line.

Standard_EXPORT Aspect_TypeOfMarker Prs2d_Point::Marker | ( |  | ) | const

Standard_EXPORT Standard_Boolean Prs2d_Point::Pick | ( | const Standard_ShortReal | X,
|  | const Standard_ShortReal | Y,
|  | const Standard_ShortReal | aPrecision,
|  | const Handle(Graphic2d_Drawer)& | aDrawer
| ) | `[protected, virtual]`

| Implements Graphic2d_Primitive.

Standard_EXPORT gp_Pnt2d Prs2d_Point::Point | ( |  | ) | const

virtual Standard_EXPORT void Prs2d_Point::Save | ( | Aspect_FStream & | aFStream | ) | const`[virtual]`

| Reimplemented from Graphic2d_Line.

Standard_EXPORT void Prs2d_Point::SetIndex | ( | const Standard_Integer | anInd | ) |

Standard_EXPORT void Prs2d_Point::SetMarker | ( | const Aspect_TypeOfMarker | aTOM | ) |

Standard_EXPORT void Prs2d_Point::SetPoint | ( | const gp_Pnt2d & | aPnt | ) |

## Field Documentation

Quantity_PlaneAngle Prs2d_Point::myAngle `[private]`

Quantity_Length Prs2d_Point::myHSize `[private]`

Standard_Integer Prs2d_Point::myIndMark `[private]`

gp_Pnt2d Prs2d_Point::myPoint `[private]`

Aspect_TypeOfMarker Prs2d_Point::myTOM `[private]`

Quantity_Length Prs2d_Point::myWSize `[private]`

The documentation for this class was generated from the following file:

- Prs2d_Point.hxx